package com.qmth.sop.business.bean.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.sop.common.enums.QualityProblemReasonEnum;
import com.qmth.sop.common.enums.QualityProblemTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 质量监控分析报表bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/9/18
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class QualityAnalyseReportBean implements Serializable {

    @ApiModelProperty(value = "名称")
    String name;

    @ApiModelProperty(value = "质量问题总数")
    Integer sum;

    @ApiModelProperty(value = "类型")
    QualityProblemTypeEnum type;

    @ApiModelProperty(value = "类型比率")
    BigDecimal typeRate;

    @ApiModelProperty(value = "问题原因")
    QualityProblemReasonEnum reason;

    @ApiModelProperty(value = "问题原因总数")
    Integer reasonSum;

    @ApiModelProperty(value = "问题原因比率")
    BigDecimal reasonRate;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSum() {
        return sum;
    }

    public void setSum(Integer sum) {
        this.sum = sum;
    }

    public QualityProblemTypeEnum getType() {
        return type;
    }

    public void setType(QualityProblemTypeEnum type) {
        this.type = type;
    }

    public BigDecimal getTypeRate() {
        return typeRate;
    }

    public void setTypeRate(BigDecimal typeRate) {
        this.typeRate = typeRate;
    }

    public QualityProblemReasonEnum getReason() {
        return reason;
    }

    public void setReason(QualityProblemReasonEnum reason) {
        this.reason = reason;
    }

    public Integer getReasonSum() {
        return reasonSum;
    }

    public void setReasonSum(Integer reasonSum) {
        this.reasonSum = reasonSum;
    }

    public BigDecimal getReasonRate() {
        return reasonRate;
    }

    public void setReasonRate(BigDecimal reasonRate) {
        this.reasonRate = reasonRate;
    }
}
